Bug 534199 - (RHQ-1018) RHQ distro build should install the license xml file
RHQ distro build should install the license xml file
Product: RHQ Project
Classification: Other
Component: Build System (Show other bugs)
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Corey Welton
: Improvement
Depends On:
  Show dependency treegraph
Reported: 2008-10-23 11:32 EDT by John Mazzitelli
Modified: 2008-12-18 15:19 EST (History)
0 users

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2008-10-23 11:32:00 EDT
I just built Jopr distro - and there is no license file here: jopr\trunk\modules\dist\server\target\jopr-server-2.2.0-SNAPSHOT\jbossas\server\default\deploy\rhq.ear.rej\license

I think we should prepopulate the distro with the license xml file. No sense forcing the open-source project users to explicitly installing the license.

In fact, the RHQ distro should do the same, once the RHQ distro does it, the Jopr build won't have to do anything special, it'll already be in there
Comment 1 John Mazzitelli 2008-10-23 11:59:43 EDT
the license is already checked into SVN
its found here: rhq\trunk\modules\enterprise\server\container\src\main\license
we just have to get the -Pdist profile to copy that file into the container build
Comment 2 Jay Shaughnessy 2008-10-23 12:49:37 EDT
I think additionally the LICENSE,LICENSE_GPL and LICENCE_LGPL files need to be added to the top of the RHQ distro.
Comment 3 Jay Shaughnessy 2008-10-30 11:06:41 EDT
The license.xml is generated during the build and put in place.  As a side note, the same license remains in place for Jopr. So, neither distribution should prompt for license load after installation, although license checking is still in place.
Comment 4 Corey Welton 2008-12-18 15:19:18 EST
QA Closing - nothing to test on JBoss ON side, and has been thoroughly tested in RHQ/Jopr.
Comment 5 Red Hat Bugzilla 2009-11-10 15:21:59 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1018

Note You need to log in before you can comment on or make changes to this bug.